//  ===========================================================================
//  `API
//  ===========================================================================

unit UndefinedApi;

interface

uses
    Windows;

const
    kernel32 = 'kernel32.dll';
    shell32 = 'shell32.dll';
    UNLEN = 255;    //  lmcons.h

type
    COMPUTER_NAME_FORMAT = (
        ComputerNameNetBIOS,
        ComputerNameDnsHostname,
        ComputerNameDnsDomain,
        ComputerNameDnsFullyQualified,
        ComputerNamePhysicalNetBIOS,
        ComputerNamePhysicalDnsHostname,
        ComputerNamePhysicalDnsDomain,
        ComputerNamePhysicalDnsFullyQualified,
        ComputerNameMax);

function GetComputerNameEx(NameType: COMPUTER_NAME_FORMAT; lpBuffer: LPSTR; var nSize: DWORD): BOOL; stdcall;
function SHEmptyRecycleBin(nHandle: HWND; pszRootPath: string; dwFlags: Integer): Integer; stdcall;

type
    TOSVersionInfoEx = record
        dwOSVersionInfoSize : DWORD;
        dwMajorVersion      : DWORD;
        dwMinorVersion      : DWORD;
        dwBuildNumber       : DWORD;
        dwPlatformId        : DWORD;
        szCSDVersion        : array[0..127] of AnsiChar;
        wServicePackMajor   : WORD;
        wServicePackMinor   : WORD;
        wSuiteMask          : WORD;
        wProductType        : BYTE;
        wReserved           : BYTE;
    end;

function GetVersionEx(var lpVersionInformation: TOSVersionInfoEx): BOOL; stdcall;

implementation

function GetComputerNameEx; external kernel32 name 'GetComputerNameExA';
function GetVersionEx; external kernel32 name 'GetVersionExA';
function SHEmptyRecycleBin; external shell32 name 'SHEmptyRecycleBinA';

end.

